For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
      • GETGet Wallets By Project
LogoLogo
Contact usDashboard
APIWallets

Get Wallets By Project

GET
https://api.syndicate.io/wallet/project/:projectId/wallets
GET
/wallet/project/:projectId/wallets
$curl https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/wallets \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "balance": "balance",
4 "txCount": 1
5 },
6 {
7 "balance": "balance",
8 "txCount": 1
9 }
10]
Gets a list of wallets for a project
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdUUIDRequired

Query parameters

withDatabooleanOptional
Optional parameter to return this address's balance and total count of confirmed transactions

Response

This endpoint returns a list of objects.
chainIdinteger
createdAtdatetime
nonceinteger
projectIdUUID
statusenum
Allowed values:
updatedAtdatetime
walletAddressstring
walletIdUUID
walletTypeenum
Allowed values:
balancestring
Balance in wei of this address's native gas token, as defined by chainId
txCountinteger
Number of confirmed transactions submitted by this address

Errors

500
Get Wallets Error